/*
 * bg.h
 *
 * Last modified: <2008/06/24 18:32:33 +0900> By SUMIDA
 */
#ifndef BG_H_INCLUDED
#define BG_H_INCLUDED

/* }bvTCY */
#define BG_MAP_WIDTH  	40
#define BG_MAP_HEIGHT 	30
#define BG_MAP_RESERVE	2
#define BG_MAP_SIZE   	8

/* BG */
#define BG_MAX 4

typedef struct MAP_ATTR {

	int surface_id;
	int map_id;
} MAP_ATTR;

typedef struct BG {

	//int priority;
	int ofs_x;
	int ofs_y;

	int font_x;
	int font_y;
	int frame_x;
	int frame_y;
	int frame_w;
	int frame_h;

	MAP_ATTR map[BG_MAP_WIDTH + BG_MAP_RESERVE][BG_MAP_HEIGHT + BG_MAP_RESERVE];
} BG;

extern BG bg[BG_MAX];
extern void bg_init(void);
extern void bg_rendaring(SDL_Surface *screen, int bg_no);
extern void font_frame(int bg_no, int x, int y, int w, int h);
extern void font_locate(int bg_no, int x, int y);
extern void font_printf(int bg_no, const char *format, ...);

#endif
