/*
 * real.h
 *
 * Last modified: <2008/09/07 05:17:13 +0900> By SUMIDA
 */
#ifndef REAL_H_INCLUDED
#define REAL_H_INCLUDED

/* Œ菬_i{16rbgA16rbgj */
typedef long Real;

/* ` */
typedef struct RealRect {
	Real x0, y0, x1, y1;
} RealRect;

/* xNg */
typedef struct RealVector {
	Real x, y;
} RealVector;


#define RealToInt(_n) ((_n) >> 16)
#define IntToReal(_n) ((_n) << 16)
#define ToReal(_n) ((Real)((_n) * 0x10000))

#define RealMul(_a, _b) \
	((Real)(((__int64)(_a)*(__int64)(_b)) >> 16))

#define RealDiv(_a, _b) \
	((Real)(((__int64)(_a) << 16) / (__int64)(_b)))

#endif
